Tutorial Class/Enum List File List Compound Members

# RtAudioDeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

List of all members.

## Public Attributes
std::string | name
bool | probed
int | outputChannels
int | inputChannels
int | duplexChannels
bool | isDefaultOutput
bool | isDefaultInput
std::vector< int > | sampleRates
RtAudioFormat | nativeFormats

## Detailed Description

The public device information structure for returning queried values.

## Member Data Documentation

std::string RtAudioDeviceInfo::name

| Character string device identifier.

bool RtAudioDeviceInfo::probed

| true if the device capabilities were successfully probed.

int RtAudioDeviceInfo::outputChannels

| Maximum output channels supported by device.

int RtAudioDeviceInfo::inputChannels

| Maximum input channels supported by device.

int RtAudioDeviceInfo::duplexChannels

| Maximum simultaneous input/output channels supported by device.

bool RtAudioDeviceInfo::isDefaultOutput

| true if this is the default output device.

bool RtAudioDeviceInfo::isDefaultInput

| true if this is the default input device.

std::vector<int> RtAudioDeviceInfo::sampleRates

| Supported sample rates (queried from list of standard rates).

RtAudioFormat RtAudioDeviceInfo::nativeFormats

| Bit mask of supported data formats.

The documentation for this struct was generated from the following file:

- RtAudio.h

| ©2001-2006 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone.